@import '~@guildion/next/styles/component.module.scss';

#footer {
  width: 100%;
  height: 100%;
}

.document {
  width: 100%;
  height: 100%;
  padding: 0 0 0 269px;
}

.default {
  position: relative;
  width: 100%;
  height: 100%;
  background-color: var(--background-subm2);
  border-top: 1px solid var(--background-subp1);
  z-index: 100;
  &-inner {
    margin: 0 auto;
    max-width: 740px;
    padding: 64px 20px;
  }
  &-sections {
    width: 100%;
    height: 100%;
    display: grid;
    grid-gap: 1.6rem;
    grid-template-columns: repeat(6, 1fr);
  }
  &-section {
    width: 100%;
    height: 100%;
    &_heading {
      width: 100%;
      text-align: left;
      font-size: 14px;
      font-weight: bold;
      font-family: var(--default-font-family);
      color: var(--element-default);
      padding-bottom: 30px;
    }
    &_item {
      padding-bottom: 16px;
      &-link {
        width: 100%;
        text-align: left;
        font-size: 13px;
        font-family: var(--default-font-family);
        color: var(--element-subp1);
        cursor: pointer;
        @include make-transition;
        &:hover {
          opacity: .7;
          @include make-transition;
        }
      }
    }
  }
  &-separator {
    width: 100%;
    height: 1px;
    margin: 32px auto;
    margin-bottom: 20px;
    background-color: var(--background-subp1);
  }
  &-logo {
    width: 100px;
    height: 100%;
    margin-bottom: 20px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    @include make-transition;
    &:hover {
      opacity: .7;
      @include make-transition;
    }
    & > svg {
      width: 20px;
      height: 20px;
      margin-right: 4px;
    }
    &_name {
      font-family: var(--default-font-family);
      font-size: 14px;
      color: var(--element-subp1);
      font-weight: bold;
    }
  }
  &-addendum {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    &_copyright {
      color: var(--element-subp1);
      font-size: 12px;
      font-family: var(--default-font-family);
    }
    &_links {
      display: flex;
      justify-content: flex-end;
      align-items: center;
      margin: 0 -8px;
    }
    &_link {
      margin: 0 8px;
      text-align: left;
      font-size: 12px;
      font-family: var(--default-font-family);
      color: var(--element-subp1);
      cursor: pointer;
      @include make-transition;
      &:hover {
        opacity: .7;
        @include make-transition;
      }
    }
  }
}